------------------------------------------------------------------------
r38102 | gerald | 2011-07-18 16:14:10 -0700 (Mon, 18 Jul 2011) | 2 lines
Changed paths:
   M /trunk-1.6/config.nmake
   M /trunk-1.6/configure.in
   M /trunk-1.6/debian/changelog
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/version.conf

1.6.1 → 1.6.2.

------------------------------------------------------------------------
r38120 | gerald | 2011-07-19 11:38:20 -0700 (Tue, 19 Jul 2011) | 3 lines
Changed paths:
   M /trunk-1.6/config.nmake

Pull the Windows external library directory from WIRESHARK_LIB_DIR if
it's set.

------------------------------------------------------------------------
r38126 | gerald | 2011-07-19 15:29:52 -0700 (Tue, 19 Jul 2011) | 2 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml

Remove a fixed bug and fix the URLs for two others.

------------------------------------------------------------------------
r38182 | gerald | 2011-07-24 08:04:17 -0700 (Sun, 24 Jul 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-07-24]
------------------------------------------------------------------------
r38289 | gerald | 2011-07-31 08:04:01 -0700 (Sun, 31 Jul 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-07-31]
------------------------------------------------------------------------
r38295 | etxrab | 2011-07-31 13:35:09 -0700 (Sun, 31 Jul 2011) | 1 line
Changed paths:
   M /trunk-1.6/diameter/Cisco.xml
   M /trunk-1.6/diameter/dictionary.xml

Update Diameter files.
------------------------------------------------------------------------
r38308 | etxrab | 2011-08-01 22:36:43 -0700 (Mon, 01 Aug 2011) | 3 lines
Changed paths:
   M /trunk-1.6/gtk/capture_dlg.c

From John Thacker.
gtk/capture_dlg.c [misplaced comma: old gtk only]
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6144
------------------------------------------------------------------------
r38389 | gerald | 2011-08-07 08:04:05 -0700 (Sun, 07 Aug 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-08-07]
------------------------------------------------------------------------
r38533 | gerald | 2011-08-14 08:04:19 -0700 (Sun, 14 Aug 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-08-14]
------------------------------------------------------------------------
r38552 | gerald | 2011-08-15 15:10:54 -0700 (Mon, 15 Aug 2011) | 2 lines
Changed paths:
   M /trunk-1.6/config.nmake

Disable -WX by default.

------------------------------------------------------------------------
r38641 | gerald | 2011-08-21 08:04:46 -0700 (Sun, 21 Aug 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-08-21]
------------------------------------------------------------------------
r38653 | gerald | 2011-08-21 15:39:55 -0700 (Sun, 21 Aug 2011) | 8 lines
Changed paths:
   M /trunk-1.6/services
   M /trunk-1.6/tools/make-services.pl

The canonical IANA port number URL now returns XML. Update
make-services.pl to to use the old-style text URL and add a comment
about parsing the XML instead.

Update the services file. Due to format changes it generates a lot of
text that should be commented out, but it's apparently been doing that
for a while now.

------------------------------------------------------------------------
r38758 | gerald | 2011-08-28 08:51:05 -0700 (Sun, 28 Aug 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-08-28]
------------------------------------------------------------------------
r38830 | gerald | 2011-08-31 16:11:28 -0700 (Wed, 31 Aug 2011) | 6 lines
Changed paths:
   M /trunk-1.6/services
   M /trunk-1.6/tools/make-services.pl

Copy over r38829 from the trunk:

 Fix the format of the services file. The output from make-services.pl is
 still uglier than a box of YouTube comments but transport name
 resolution seems to work now. Fixes bug 6274.

------------------------------------------------------------------------
r38835 | etxrab | 2011-08-31 21:39:42 -0700 (Wed, 31 Aug 2011) | 1 line
Changed paths:
   M /trunk-1.6/CPackConfig.txt
   M /trunk-1.6/README
   M /trunk-1.6/README.DECT
   M /trunk-1.6/README.bsd
   M /trunk-1.6/README.cmake
   M /trunk-1.6/README.hpux
   M /trunk-1.6/airpcap.h
   M /trunk-1.6/diameter/Cisco.xml
   M /trunk-1.6/diameter/chargecontrol.xml
   M /trunk-1.6/diameter/dictionary.xml
   M /trunk-1.6/diameter/etsie2e4.xml
   M /trunk-1.6/docbook/wsluarm.xml
   M /trunk-1.6/docbook/wsug_src/WSUG_chapter_introduction.xml
   M /trunk-1.6/dumpcap.c

Copy over revision 38834 Spelling fixes
------------------------------------------------------------------------
r38837 | etxrab | 2011-08-31 21:59:15 -0700 (Wed, 31 Aug 2011) | 6 lines
Changed paths:
   M /trunk-1.6/README

Copy over r38836
 At least according to the saved ancient press release at
 
 	http://www.omnitest.co.uk/cinco.html
 
 it really was "NetXRay", not "NetXray".
------------------------------------------------------------------------
r38846 | gerald | 2011-09-01 14:02:04 -0700 (Thu, 01 Sep 2011) | 58 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-bacapp.c
   M /trunk-1.6/epan/dissectors/packet-csn1.c
   M /trunk-1.6/epan/dissectors/packet-icmp.c
   M /trunk-1.6/epan/libwireshark.def
   M /trunk-1.6/wiretap/libpcap.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r37634 | gerald | 2011-06-09 11:31:39 -0700 (Thu, 09 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/wiretap/libpcap.c

  Make sure we don't write invalid record lengths.
  ------------------------------------------------------------------------
  r38105 | cmaynard | 2011-07-18 19:47:12 -0700 (Mon, 18 Jul 2011) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bacapp.c

  From Michael Mann via bug 5769:  In fDevice_Instance(), add field in proper
  big-endian byte order.

  Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5769
  ------------------------------------------------------------------------
  r38129 | cmaynard | 2011-07-19 17:22:31 -0700 (Tue, 19 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-icmp.c

  Apply some endian heuristics when dissecting ICMP originate, receive and transmit timestamps.  Fixes bug 6114.

  Ref: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6114
  ------------------------------------------------------------------------
  r38171 | cmaynard | 2011-07-22 17:30:24 -0700 (Fri, 22 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-icmp.c

  Avoid potential midday problems by narrowing the midnight rollover test.
  ------------------------------------------------------------------------
  r38164 | etxrab | 2011-07-22 01:10:25 -0700 (Fri, 22 Jul 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-csn1.c

  From Lei Chen:
  pDescr should not step on until proto_tree_add_text() has been called.
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6151
  ------------------------------------------------------------------------
  r38169 | cmaynard | 2011-07-22 08:32:59 -0700 (Fri, 22 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/libwireshark.def

  Add tvb_find_tvb
  ------------------------------------------------------------------------
  r38205 | etxrab | 2011-07-25 20:52:29 -0700 (Mon, 25 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-csn1.c

  From Lei Chen:
  CSN_RECURSIVE_TARRAY should count the last '0' bit.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6166
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r38848 | gerald | 2011-09-01 14:47:40 -0700 (Thu, 01 Sep 2011) | 14 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-opensafety.c

Copy over r38213 from the trunk:

  ------------------------------------------------------------------------
  r38213 | cmaynard | 2011-07-26 09:19:48 -0700 (Tue, 26 Jul 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-opensafety.c

  Avoid a crash reported in bug 6138 by never allowing frame1Size < dataLength.
  Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6138

  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r38850 | gerald | 2011-09-01 15:15:06 -0700 (Thu, 01 Sep 2011) | 31 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-diameter_3gpp.c
   M /trunk-1.6/epan/dissectors/packet-icmpv6.c
   M /trunk-1.6/gtk/tap_dfilter_dlg.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r38226 | etxrab | 2011-07-27 06:17:58 -0700 (Wed, 27 Jul 2011) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-diameter_3gpp.c

  Use tvb_length when adding MSISDN.
  ------------------------------------------------------------------------
  r38227 | alagoutte | 2011-07-27 08:19:17 -0700 (Wed, 27 Jul 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-icmpv6.c

  From Eric Zhu via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6168
  Wireshark cannot display Reachable time & Retrans timer in IPv6 RA messages
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r38214 | gerald | 2011-07-26 10:46:19 -0700 (Tue, 26 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/gtk/tap_param_dlg.c

  Don't free a string which will be used later on.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38851 | gerald | 2011-09-01 15:46:56 -0700 (Thu, 01 Sep 2011) | 14 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-isakmp.c

Copy over r38247 from the trunk:

  ------------------------------------------------------------------------
  r38247 | stig | 2011-07-28 15:19:46 -0700 (Thu, 28 Jul 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-isakmp.c

  Avoid a possible infinite loop in dissect_delete().

  This may fix the "Malformed IKE Packet DoS" bug.
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r38852 | gerald | 2011-09-01 16:27:28 -0700 (Thu, 01 Sep 2011) | 98 lines
Changed paths:
   M /trunk-1.6/AUTHORS
   M /trunk-1.6/asn1/h225/h225.cnf
   M /trunk-1.6/asn1/snmp/packet-snmp-template.c
   M /trunk-1.6/config.h.win32
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-gtpv2.c
   M /trunk-1.6/epan/dissectors/packet-h225.c
   M /trunk-1.6/epan/dissectors/packet-snmp.c
   M /trunk-1.6/epan/dissectors/packet-tcp.c
   M /trunk-1.6/epan/except.c
   M /trunk-1.6/epan/gcp.c
   M /trunk-1.6/gtk/main.c
   M /trunk-1.6/make-version.pl
   M /trunk-1.6/tap-rtp-common.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r38268 | etxrab | 2011-07-30 02:33:10 -0700 (Sat, 30 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gtpv2.c

  CCRSI is not included in 3GPP 29.274 R8.
  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6183
  ------------------------------------------------------------------------
  r38269 | stig | 2011-07-30 02:52:40 -0700 (Sat, 30 Jul 2011) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-gtpv2.c

  Fix a typo.
  ------------------------------------------------------------------------
  r38286 | etxrab | 2011-07-31 06:25:13 -0700 (Sun, 31 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/tap-rtp-common.c

  Use pinfo->iphdrlen rather than a fixed vaue of 20 to make
  the calculation correct for IPv6 too.
  ------------------------------------------------------------------------
  r38299 | stig | 2011-08-01 05:38:58 -0700 (Mon, 01 Aug 2011) | 4 lines
  Changed paths:
     M /trunk/config.h.win32
     M /trunk/epan/except.c
     M /trunk/gtk/main.c

  Another fix for building with MSVC2005.

  The previous fixes in r37728 and r37730 did build a wireshark which was
  unable to use the native windows file dialog (GetOpenFileName).
  ------------------------------------------------------------------------
  r38303 | cmaynard | 2011-08-01 18:54:03 -0700 (Mon, 01 Aug 2011) | 4 lines
  Changed paths:
     M /trunk/AUTHORS
     M /trunk/asn1/snmp/packet-snmp-template.c

  From Paul Stath via bug 5731:  The check for engineID length should only occur if the engineID has a non-zero length.

  Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5731
  ------------------------------------------------------------------------
  r38304 | etxrab | 2011-08-01 21:17:45 -0700 (Mon, 01 Aug 2011) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-snmp.c

  Gnenerate the dissector for previous commit.
  ------------------------------------------------------------------------
  r38326 | gerald | 2011-08-03 12:11:07 -0700 (Wed, 03 Aug 2011) | 15 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tcp.c

  From Dirk Jagdmann via bug 6194:

  The attachted patch fixes and enhances the SCPS TCP option dissection. Changes
  are:

  - fix order of reserved Bit 1,2,3
  - fix minimum TCP option length
  - fix proto items
  - add proto item for Connection ID
  - removed the verify_scps() function. It's logic was broken, because it did
  reset the scps_capable flag on both flows if one of them did not have it.
  However sometimes that flag is only enabled in one flow direction and that flow
  direction could see TCP options later on, which would get dissected as invalid.
  See the attachted capture file for an example.
  ------------------------------------------------------------------------
  r38331 | stig | 2011-08-04 03:02:37 -0700 (Thu, 04 Aug 2011) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-tcp.c

  Removed a debug printf.
  ------------------------------------------------------------------------
  r38340 | cmaynard | 2011-08-04 13:20:51 -0700 (Thu, 04 Aug 2011) | 2 lines
  Changed paths:
     M /trunk/make-version.pl

  Don't report svn version if not building from svn.  Change prompted by http://ask.wireshark.org/questions/5376/wireshark-161-title-shows-svn-rev-unknown-from-unknown.
  ------------------------------------------------------------------------
  r38397 | etxrab | 2011-08-07 13:08:08 -0700 (Sun, 07 Aug 2011) | 1 line
  Changed paths:
     M /trunk/epan/gcp.c

  g_ascii_strdown Returns a newly-allocated string.
  ------------------------------------------------------------------------
  r38399 | cmaynard | 2011-08-07 13:50:31 -0700 (Sun, 07 Aug 2011) | 3 lines
  Changed paths:
     M /trunk/asn1/h225/h225.cnf
     M /trunk/epan/dissectors/packet-h225.c

  Fix bug 5848, "https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5848", which was apparently introduced with r27287 (http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-h225.c?r1=26698&r2=27287).  Regenerate the packet-h225.c dissector.  Patch from ericn1234@yahoo.com.
  Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5848
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38853 | gerald | 2011-09-01 16:49:56 -0700 (Thu, 01 Sep 2011) | 13 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/packet.c

Copy over r38410 from the trunk:

  ------------------------------------------------------------------------
  r38410 | gerald | 2011-08-08 10:25:35 -0700 (Mon, 08 Aug 2011) | 3 lines
  Changed paths:
     M /trunk/epan/packet.c

  Make sure our root tvb is initialized in case its creation fails.
  Untested fix for bug 6135.
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r38854 | gerald | 2011-09-01 16:55:08 -0700 (Thu, 01 Sep 2011) | 12 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/wslua/template-init.lua

Copy over r38414 from the trunk:

  ------------------------------------------------------------------------
  r38414 | gerald | 2011-08-08 12:10:19 -0700 (Mon, 08 Aug 2011) | 2 lines
  Changed paths:
     M /trunk/epan/wslua/template-init.lua

  Load console.lua and dtd-gen.lua from an explicit path.
  ------------------------------------------------------------------------

Update and fix the release notes.

------------------------------------------------------------------------
r38855 | gerald | 2011-09-01 16:57:36 -0700 (Thu, 01 Sep 2011) | 16 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-csn1.c

Copy over r38430 from the trunk:

  ------------------------------------------------------------------------
  r38430 | morriss | 2011-08-09 08:43:42 -0700 (Tue, 09 Aug 2011) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-csn1.c

  Fix the fuzz failure reported in
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6139 :

  Properly initialize the CSN_DESCR type before recursively calling
  csnStreamDissector().
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r38856 | gerald | 2011-09-01 17:16:14 -0700 (Thu, 01 Sep 2011) | 60 lines
Changed paths:
   M /trunk-1.6/ConfigureChecks.cmake
   M /trunk-1.6/acinclude.m4
   M /trunk-1.6/capinfos.c
   M /trunk-1.6/cmakeconfig.h.in
   M /trunk-1.6/configure.in
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/dumpcap.c
   M /trunk-1.6/editcap.c
   M /trunk-1.6/epan/dissectors/packet-sflow.c
   M /trunk-1.6/gtk/main.c
   M /trunk-1.6/mergecap.c
   M /trunk-1.6/randpkt.c
   M /trunk-1.6/rawshark.c
   M /trunk-1.6/text2pcap.c
   M /trunk-1.6/tshark.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r38419 | cmaynard | 2011-08-08 13:34:18 -0700 (Mon, 08 Aug 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-sflow.c

  From Andrew Feren via bug 6219: Offset calculated incorrectly for sFlow extended data.
  ------------------------------------------------------------------------
  r38434 | morriss | 2011-08-09 12:49:08 -0700 (Tue, 09 Aug 2011) | 7 lines
  Changed paths:
     M /trunk/acinclude.m4

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5607 :

  When testing if we can add things to LDFLAGS, don't set LDFLAGS to CFLAGS
  if the test determines that the flag cannot be added to LDFLAGS.

  (Simple typo: LDFLAGS_saved was being set to CFLAGS instead of LDFLAGS.)
  ------------------------------------------------------------------------
  r38437 | morriss | 2011-08-09 14:02:10 -0700 (Tue, 09 Aug 2011) | 12 lines
  Changed paths:
     M /trunk/capinfos.c
     M /trunk/configure.in
     M /trunk/dumpcap.c
     M /trunk/editcap.c
     M /trunk/gtk/main.c
     M /trunk/mergecap.c
     M /trunk/randpkt.c
     M /trunk/rawshark.c
     M /trunk/text2pcap.c
     M /trunk/tshark.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5608 :

  getopt() can/should normally be found in unistd.h, so:

  - When testing for getopt(), define that we HAVE_GETOPT instead of
    HAVE_GETOPT_H (to avoid confusion).
  - Don't attempt to include getopt.h: not all OS's have it (for example,
    Solaris 9 does not).
  - (All the places which need getopt already include unistd.h (if we have it).)

  If this breaks things on some OS, we might need (a real) HAVE_GETOPT_H check.
  ------------------------------------------------------------------------


Copy over by hand:
  ------------------------------------------------------------------------
  r38438 | jmayer | 2011-08-09 14:26:33 -0700 (Tue, 09 Aug 2011) | 2 lines
  Changed paths:
     M /trunk/ConfigureChecks.cmake
     M /trunk/cmakeconfig.h.in

  Copy over the commit 38437 to cmake.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38869 | gerald | 2011-09-02 13:22:41 -0700 (Fri, 02 Sep 2011) | 183 lines
Changed paths:
   M /trunk-1.6/Makefile.nmake
   M /trunk-1.6/asn1/tetra/packet-tetra-template.c
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/column-utils.c
   M /trunk-1.6/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   M /trunk-1.6/epan/dissectors/packet-bgp.c
   M /trunk-1.6/epan/dissectors/packet-btl2cap.c
   M /trunk-1.6/epan/dissectors/packet-csn1.c
   M /trunk-1.6/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk-1.6/epan/dissectors/packet-dcerpc-drsuapi.h
   M /trunk-1.6/epan/dissectors/packet-dcerpc.c
   M /trunk-1.6/epan/dissectors/packet-dcom.c
   M /trunk-1.6/epan/dissectors/packet-fix.h
   M /trunk-1.6/epan/dissectors/packet-giop.c
   M /trunk-1.6/epan/dissectors/packet-gsm_a_rr.c
   M /trunk-1.6/epan/dissectors/packet-gvcp.c
   M /trunk-1.6/epan/dissectors/packet-lldp.c
   M /trunk-1.6/epan/dissectors/packet-ndmp.c
   M /trunk-1.6/epan/dissectors/packet-olsr.c
   M /trunk-1.6/epan/dissectors/packet-ospf.c
   M /trunk-1.6/epan/dissectors/packet-pdcp-lte.c
   M /trunk-1.6/epan/dissectors/packet-ppp.c
   M /trunk-1.6/epan/dissectors/packet-rohc.c
   M /trunk-1.6/epan/dissectors/packet-rtps2.c
   M /trunk-1.6/epan/dissectors/packet-sita.c
   M /trunk-1.6/epan/dissectors/packet-tetra.c
   M /trunk-1.6/epan/wslua/init_wslua.c
   M /trunk-1.6/fix/FIX.xml
   M /trunk-1.6/fix/FIX42.xml
   M /trunk-1.6/fix/FIX43.xml
   M /trunk-1.6/fix/FIX44.xml
   M /trunk-1.6/gtk/filter_autocomplete.c
   M /trunk-1.6/gtk/rtp_stream_dlg.c
   M /trunk-1.6/print.c
   M /trunk-1.6/tshark.c
   M /trunk-1.6/wiretap/5views.c
   M /trunk-1.6/wiretap/README.airmagnet
   M /trunk-1.6/wiretap/airopeek9.c
   M /trunk-1.6/wiretap/btsnoop.c
   M /trunk-1.6/wiretap/buffer.c
   M /trunk-1.6/wiretap/buffer.h
   M /trunk-1.6/wiretap/catapult_dct2000.c
   M /trunk-1.6/wiretap/commview.c
   M /trunk-1.6/wiretap/daintree-sna.c
   M /trunk-1.6/wiretap/erf.c
   M /trunk-1.6/wiretap/etherpeek.c
   M /trunk-1.6/wiretap/eyesdn.c
   M /trunk-1.6/wiretap/file_access.c
   M /trunk-1.6/wiretap/i4btrace.c
   M /trunk-1.6/wiretap/ipfix.c
   M /trunk-1.6/wiretap/iptrace.c
   M /trunk-1.6/wiretap/jpeg_jfif.c
   M /trunk-1.6/wiretap/k12.c
   M /trunk-1.6/wiretap/k12text.l
   M /trunk-1.6/wiretap/lanalyzer.c
   M /trunk-1.6/wiretap/libpcap.c
   M /trunk-1.6/wiretap/mpeg.c
   M /trunk-1.6/wiretap/netmon.c
   M /trunk-1.6/wiretap/netscaler.c
   M /trunk-1.6/wiretap/nettl.c
   M /trunk-1.6/wiretap/network_instruments.c
   M /trunk-1.6/wiretap/netxray.c
   M /trunk-1.6/wiretap/ngsniffer.c
   M /trunk-1.6/wiretap/packetlogger.c
   M /trunk-1.6/wiretap/pcap-common.c
   M /trunk-1.6/wiretap/pcap-common.h
   M /trunk-1.6/wiretap/pcapng.c
   M /trunk-1.6/wiretap/radcom.c
   M /trunk-1.6/wiretap/snoop.c
   M /trunk-1.6/wiretap/visual.c
   M /trunk-1.6/wiretap/wtap-int.h
   M /trunk-1.6/wiretap/wtap.h
   M /trunk-1.6/wsutil/privileges.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r38583 | gerald | 2011-08-17 09:47:04 -0700 (Wed, 17 Aug 2011) | 5 lines
  Changed paths:
     M /trunk/wsutil/privileges.c

  From Gisle Vanem: Make sure our SetProcessDEPPolicyHandler typedef
  matches the documentation.

  I also verified that DEP is still enabled on Win32 using Process Explorer.
  ------------------------------------------------------------------------
  r38680 | etxrab | 2011-08-22 21:49:24 -0700 (Mon, 22 Aug 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-btl2cap.c

  From Andrei Emeltchenko via Chris Maynard:
  btl2cap extended window shows wrong bit.
  Patch would not apply cleanly so added by hand.
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6257
  ------------------------------------------------------------------------
  r38728 | cmaynard | 2011-08-24 17:50:39 -0700 (Wed, 24 Aug 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ndmp.c

  "Bytes left to read" is an unsigned quantity.  Changed FT_INT64 to FT_UINT64 as suggested by Rui Loura via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6262.
  ------------------------------------------------------------------------
  r38737 | stig | 2011-08-25 12:01:05 -0700 (Thu, 25 Aug 2011) | 3 lines
  Changed paths:
     M /trunk/epan/wslua/init_wslua.c

  Do case insensitive search for lua scripts to load.
  Skip files starting with . also on windows, as the home directory
  may be mounted from a server with a proper filesystem.
  ------------------------------------------------------------------------
  r38790 | guy | 2011-08-29 23:01:44 -0700 (Mon, 29 Aug 2011) | 7 lines
  Changed paths:
     M /trunk/wiretap/pcapng.c

  A zero snaplen means "snaplen unknown", as in "the file format from
  which we read the data to be written doesn't record the snapshot
  length".  A snapshot length of 0 in a pcap or pcap-ng file is not
  handled well by many programs reading those files; for pcap files, we
  write out WTAP_MAX_PACKET_SIZE as the snapshot length in that case, so
  do so for pcap-ng files as well.
  ------------------------------------------------------------------------
  r38792 | guy | 2011-08-30 01:09:40 -0700 (Tue, 30 Aug 2011) | 6 lines
  Changed paths:
     M /trunk/wiretap/pcap-common.c

  Handle multiple extension headers when calculating the pseudo-header
  length, and actually write out the extension headers when writing out
  the pseudo-header.

  Fixes bug 6265.
  ------------------------------------------------------------------------

  r38807 | etxrab | 2011-08-30 11:34:19 -0700 (Tue, 30 Aug 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-csn1.c

  From Lei Chen:
  fix the wrong display of CSN_BIT under CSN_UNION.
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6287
  ------------------------------------------------------------------------
  r38823 | etxrab | 2011-08-31 07:03:34 -0700 (Wed, 31 Aug 2011) | 2 lines
  Changed paths:
     M /trunk/gtk/rtp_stream_dlg.c

  COPY as CSV to clipboard from RTP stream analysis only copies 1st line many times.
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6279
  ------------------------------------------------------------------------
  r38833 | guy | 2011-08-31 21:14:54 -0700 (Wed, 31 Aug 2011) | 11 lines
  Changed paths:
     M /trunk/wiretap/commview.c

  Set eth.fcs_len in the pseudo-header for Ethernet packets.

  Set the pseudo-header when doing the sequential read as well as when
  doing random reads.

  When writing packets to a CommView file, use a slightly less contorted
  way to get the year/month/day/hour/minute/second values.

  commview_dump() uses the pseudo_header argument; don't mark it as
  unused.
  ------------------------------------------------------------------------
  r38844 | guy | 2011-09-01 12:58:25 -0700 (Thu, 01 Sep 2011) | 2 lines
  Changed paths:
     M /trunk/wiretap/libpcap.c
     M /trunk/wiretap/pcap-common.c
     M /trunk/wiretap/pcap-common.h
     M /trunk/wiretap/pcapng.c

  Merge pcap_fill_in_pseudo_header() into pcap_read_post_process().
  ------------------------------------------------------------------------
  r38862 | stig | 2011-09-02 04:46:33 -0700 (Fri, 02 Sep 2011) | 1 line
  Changed paths:
     M /trunk/epan/column-utils.c

  Support negative nsecs when viewing seconds with hours and minutes.
  ------------------------------------------------------------------------
  r38865 | wmeier | 2011-09-02 11:00:10 -0700 (Fri, 02 Sep 2011) | 11 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rtps2.c

  Increase MAX_BITMAP_SIZE from 200 to 256.
  See: Bug 6276: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6276

  Verified in the Spec:

  The Real-time Publish-Subscribe Wire Protocol
  DDS Interoperability Wire Protocol
  Specification
  Version 2.1
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r38601 | alagoutte | 2011-08-18 06:43:24 -0700 (Thu, 18 Aug 2011) | 7 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bgp.c

  From Ryan Hoffman via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6122
  Malformed Packet in decode for BGP-AD (autodiscovery) update (RFC6074)

  From me:
  Add support of RFC6074 (BGP-AD) in BGP dissector.
  Both BGP-AD and VPLS-BGP (RFC4761) use the same AFI/SAFI, The NLRI length must be used as a demultiplexer. (See RFC6074  Section 7 : BGP-AD and VPLS-BGP Interoperability)
  ------------------------------------------------------------------------
  r38840 | guy | 2011-09-01 02:43:10 -0700 (Thu, 01 Sep 2011) | 8 lines
  Changed paths:
     M /trunk/wiretap/5views.c
     M /trunk/wiretap/airopeek9.c
     M /trunk/wiretap/btsnoop.c
     M /trunk/wiretap/buffer.c
     M /trunk/wiretap/buffer.h
     M /trunk/wiretap/catapult_dct2000.c
     M /trunk/wiretap/commview.c
     M /trunk/wiretap/daintree-sna.c
     M /trunk/wiretap/erf.c
     M /trunk/wiretap/etherpeek.c
     M /trunk/wiretap/eyesdn.c
     M /trunk/wiretap/file_access.c
     M /trunk/wiretap/i4btrace.c
     M /trunk/wiretap/ipfix.c
     M /trunk/wiretap/iptrace.c
     M /trunk/wiretap/k12.c
     M /trunk/wiretap/k12text.l
     M /trunk/wiretap/lanalyzer.c
     M /trunk/wiretap/libpcap.c
     M /trunk/wiretap/mime_file.c
     M /trunk/wiretap/mpeg.c
     M /trunk/wiretap/netmon.c
     M /trunk/wiretap/netscaler.c
     M /trunk/wiretap/nettl.c
     M /trunk/wiretap/network_instruments.c
     M /trunk/wiretap/netxray.c
     M /trunk/wiretap/ngsniffer.c
     M /trunk/wiretap/packetlogger.c
     M /trunk/wiretap/pcap-common.c
     M /trunk/wiretap/pcap-common.h
     M /trunk/wiretap/pcapng.c
     M /trunk/wiretap/radcom.c
     M /trunk/wiretap/snoop.c
     M /trunk/wiretap/visual.c
     M /trunk/wiretap/wtap-int.h
     M /trunk/wiretap/wtap.h

  Use guint8 rather than guchar for raw octets and pointers to arrays of
  same.

  Add to wiretap/pcap-common.c a routine to fill in the pseudo-header for
  ATM (by looking at the VPI, VCI, and packet data, and guessing) and
  Ethernet (setting the FCS length appropriately).  Use it for both pcap
  and pcap-ng files.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38888 | gerald | 2011-09-05 13:54:12 -0700 (Mon, 05 Sep 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-09-05]
------------------------------------------------------------------------
r38904 | gerald | 2011-09-06 13:26:14 -0700 (Tue, 06 Sep 2011) | 29 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-bgp.c
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r38878 | alagoutte | 2011-09-04 12:16:20 -0700 (Sun, 04 Sep 2011) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  From Daniel Smith via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6264
  Wireshark improperly parsing 802.11 Beacon Country Information tag

  From me:
  Fix this issue (miss the optionnal Pad field for Country Tag)
  ------------------------------------------------------------------------
  r38723 | alagoutte | 2011-08-24 14:37:37 -0700 (Wed, 24 Aug 2011) | 8 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bgp.c

  From astramax57 via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6188
  In some BGP captures the AS_PATH attribute was decode wrong, if the asn length determines automatically

  From me:
  Fix some whitespace...
  Fix error: ‘for’ loop initial declarations are only allowed in C99 mode
  Replace unsigned by guint
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38923 | gerald | 2011-09-07 12:13:29 -0700 (Wed, 07 Sep 2011) | 4 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-opensafety.c

Initialize various dissector handles once at startup, similar to what we
do elsewhere. Check for the existence of the sercosiii dissector before
we try to call it via heur_dissector_add. Fixes bug 6006.

------------------------------------------------------------------------
r38924 | gerald | 2011-09-07 12:16:41 -0700 (Wed, 07 Sep 2011) | 2 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml

Update the release notes.

------------------------------------------------------------------------
r38926 | gerald | 2011-09-07 15:30:43 -0700 (Wed, 07 Sep 2011) | 52 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/dumpcap.c
   M /trunk-1.6/epan/dissectors/packet-bacapp.c
   M /trunk-1.6/epan/gcp.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r38910 | etxrab | 2011-09-06 22:02:43 -0700 (Tue, 06 Sep 2011) | 7 lines
  Changed paths:
     M /trunk/epan/gcp.c

  From Václav Horčák:
  When context id is reused by another termination, initial packet containing $
  (=choose one) is not added to context but belongs to context 0xfffffffe(context
  id value used in wireshark for choose one). This affects context listing in
  MEGACO packet contents and Telephony->Voip Calls listings for MEGACO.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6311
  ------------------------------------------------------------------------
  r38919 | etxrab | 2011-09-07 07:42:08 -0700 (Wed, 07 Sep 2011) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bacapp.c

  From Lori Tribble:
  Fix problem with the decoding of the exception schedule.  It was eating one
  too many closing tags before exiting and causing the rest of the information to
  fail to decode correctly.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6178
  ------------------------------------------------------------------------
  r38921 | wmeier | 2011-09-07 11:25:54 -0700 (Wed, 07 Sep 2011) | 19 lines
  Changed paths:
     M /trunk/dumpcap.c

  Windows: GetTickCount() returns a DWORD (not a time_t);
  Fixes a problem on Windows wherein specifying a capture file
  time duration for autostop or file-switching would stop
  working after some period of time.

  The reason:
  GetTickCount returns DWORD (unsigned int) which
   wraps "every 49.7 days";

  and: The GetTickCount() return value was being stored in a time_t which is
   int64 on Windows;

  thus:
   The test for elapsed time (using signed integers) didn't work correctly after
   the time had wrapped.

  Fixes Bug #6280: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6280
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
